
%define _enable_ofxbanking --enable-ofxbanking --enable-ofxplugin 
%define ofx_deps libofx-devel, openjade-devel >= 1.3.2

%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define ofx_deps libofx-devel opensp-devel libxml++-devel
%endif

%if 0%{?fedora} > 6
%define kdelibs3 kdelibs3
%else
%define kdelibs3 kdelibs
BuildRequires: libutempter-devel
%endif

%define _with_check 1 

Summary: Personal finance 
Name:	 kmymoney2
Version: 1.0.3
Release: 1%{?dist}

License: GPLv2+
Url:	 http://kmymoney2.sourceforge.net/
Group:	 Applications/Productivity
Source0: http://downloads.sourceforge.net/sourceforge/kmymoney2/kmymoney2-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

# RHEL5's gettext doesn't grok it.po
Patch1: kmymoney2-1.0.2-no_it_locale.patch

# Upstream (and rpmforge) call this kmymoney, so we'll get ready.
Obsoletes: kmymoney < %{version}-%{release}
Provides:  kmymoney = %{version}-%{release}

# multilib upgrades, when -libs became unconditional
Obsoletes: kmymoney2 < 0.9.3-3
Requires: %{name}-libs%{?_isa} = %{version}-%{release}

BuildRequires: curl-devel
BuildRequires: desktop-file-utils
BuildRequires: html2ps
BuildRequires: gettext
BuildRequires: ghostscript
BuildRequires: %{kdelibs3}-devel
BuildRequires: libxml2-devel
%{?_enable_ofxbanking:BuildRequires: %{ofx_deps}}
# FIXME/TODO: consider packaging qt-sqlite3, 
# http://www.kde-apps.org/content/show.php?content=23011
# so not be tempted to use the embedded copy here
%{?_enable_sqlite3:BuildRequires:sqlite-devel}
%{?_with_check:BuildRequires: cppunit-devel >= 1.8.0}

%description
KMyMoney is striving to be a full-featured replacement for your
Windows-based finance software.  We are a full double-entry accounting
software package, for personal or small-business use.

%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Obsoletes: kmymoney-devel < %{version}-%{release}
Provides:  kmymoney-devel = %{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q -n kmymoney2-%{version}

%if 0%{?rhel}
%patch1 -p1 -b .no_it_locale
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking \
  %{?_enable_sqlite3} %{!?_enable_sqlite3:--disable-sqlite3} \
  %{?_enable_ofxbanking} %{!?_enable_ofxbanking: --disable-ofxbanking --disable-ofxplugin } \
  %{?_with_check:--disable-final}

# to help doc generation
export LANG=en_US.UTF-8

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

desktop-file-install \
  --vendor="" --dir=%{buildroot}%{_datadir}/applications/kde/ \
  %{buildroot}%{_datadir}/applications/kde/kmymoney2.desktop

## File lists
# locale's
%find_lang %{name}
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# Unpackaged files
rm -f %{buildroot}%{_libdir}/lib*.la
rm -rf %{buildroot}%{_datadir}/icons/*/scalable


%check 
# Currently broken w/--enable-final: http://bugs.kde.org/115863
%{?_with_check:make check }


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_datadir}/icons/locolor &> /dev/null || :
touch --no-create %{_datadir}/icons/oxygen &> /dev/null || :
touch --no-create %{_datadir}/icons/Tango &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
  update-desktop-database -q &> /dev/null
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null 
  touch --no-create %{_datadir}/icons/locolor &> /dev/null
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null
  touch --no-create %{_datadir}/icons/Tango &> /dev/null
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/locolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/Tango &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/locolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/Tango &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/kmymoney*
%{_datadir}/apps/kmymoney2/
%{_datadir}/applications/kde/kmymoney2.desktop
%{_datadir}/config.kcfg/kmymoney2.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_datadir}/icons/Tango/*/*/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/service*/*.desktop
%if 0%{?_enable_ofxbanking:1}
%{_datadir}/apps/kmm_ofximport/
%{_libdir}/kde3/kmm_ofximport.*
%endif
%if 0%{?_enable_kbanking:1}
%{_libdir}/kde3/kmm_kbanking.*
%{_datadir}/apps/kmm_kbanking/
%endif
%{_mandir}/man?/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/libkmm_kdchart.so.0*
%{_libdir}/libkmm_mymoney.so.5*
%{_libdir}/libkmm_plugin.so.0*
%{?_enable_sqlite3:%{_libdir}/qt-3.3/plugins/sqldrivers/*.so}

%files devel
%defattr(-,root,root,-)
%{_includedir}/kmymoney
%{_libdir}/libkmm_*.so


%clean
rm -rf %{buildroot}


%changelog
* Mon Feb 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 1.0.3-1
- kmymoney2-1.0.3

* Thu Jan 21 2010 Bill Nottingham <notting@redhat.com> - 1.0.2-2
- rebuild against latest aqbanking/qbanking

* Sun Oct 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.2-1
- kmymoney2-1.0.2

* Sun Sep 06 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.1-1
- kmymoney2-1.0.1

* Wed Aug 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- kmymoney2-1.0.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.9.3-3
- validate .desktop file
- -libs unconditional
- use %%_isa where appropriate
- optimize scriptlets

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 24 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.3-1
- kmymoney2-0.9.3

* Mon Sep 15 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-3
- respun tarball 

* Sun Sep 14 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-1
- kmymoney2-0.9.2

* Tue Sep  9 2008 Bill Nottingham <notting@redhat.com> 0.9-2
- rebuild for new libofx ABI

* Wed May 14 2008 Rex Dieter <rdieter@fedoraproject.org> 0.9-1
- kmymoney2-0.9

* Wed Mar 26 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8.9-1
- kmymoney2-0.8.9
- --disable-kbanking (requires aqbanking,kbanking fix/update)
- drop multilib upgrade hack

* Fri Feb 22 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8.8-3
- gcc43 patch (#434398)
- multiarch conflicts, -libs subpkg (#341821)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.8-2
- Autorebuild for GCC 4.3

* Wed Dec 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.8-1
- kmymoney2-0.8.8
- --enable-kbanking

* Sat Dec 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-5
- BR: kdelibs3-devel

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-4
- respin (BuildID)

* Thu Aug 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-3
- License: GPLv2+

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> 0.8.7-2
- Rebuild for RH #249435

* Mon Jul 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.7-1
- kmymoney2-0.8.7

* Sat Mar 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.6-1
- kmymoney2-0.8.6
- fix Obsoletes: kmymoney

* Thu Jan 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.8.5-3
- fix _enable_ofxbanking macro usage to re-enable ofx support

* Tue Nov 28 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.5-2
- drop desktop-file-utils bits
- Ob/Pr: kmymoney(-devel), upstream/rpmforge calls it kmymoney

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.5-1
- 0.8.5

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-2
- --disable-final (for now)
- BR: gettext

* Sun May 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-1
- 0.8.4

* Thu Apr 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-3
- desktop-file-install --vendor=""

* Wed Feb 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-1
- 0.8.3

* Fri Feb 10 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Sat Dec 31 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-1
- 0.8.2

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-7
- gcc41 patch

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-6
- cleanup ofx deps

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-5
- cleanup %%post
- fc5 respin for new(er) libofx

* Mon Nov 14 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-4
- relax BR: kdelibs-devel to 3.3 (for aurora/sparc, #173133)

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-3
- fix relative symlinks

* Wed Nov 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-2
- qt-3.3.5 patch
- 'make check' workaround (kde bug #115863)
- trim %%description

* Sat Nov 05 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-1
- 0.8.1

* Fri Nov 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-5
- drop useless macros
- use %%fedora,%%rhel to conditionalize ofxbanking support

* Fri Oct 21 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-4
- %%post,%%postun: gtk-update-icon-cache, update-desktop-database
- omit lib*.la
- x86_64: set QTDIR/QTLIB

* Thu Sep 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-3
- BR: libofx-devel

* Tue Aug 30 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-2
- simplify specfile
- fix build

* Fri Aug 12 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-1
- 0.8

